Entries

CRUD for the registry primary table.

Create

POST /v1/entries
Authorization: Bearer <ACT>
Content-Type: application/json

{
  "entryDid":     "did:oas:l1fe:skill:my-skill@0.1.0",
  "entryType":    "skill",
  "version":      "0.1.0",
  "publisherDid": "did:oas:l1fe:hmr:jared-rice",
  "publishedAt":  "2026-04-26T15:00:00Z",
  "description":  "Example skill",
  "tags":         ["example"],
  "data":         { "license": "Apache-2.0" },
  "contentHash":  "sha256:0ff4f9c2a91b…",
  "bondAmount":   "5 SIGIL",
  "signature":    "ed25519:6ZbT…"
}

201 Created with the stored entry plus sequence field.

Resolve latest

GET /v1/entries/did:oas:l1fe:skill:my-skill

200 OK with the latest version of the entry.

Resolve specific version

GET /v1/entries/did:oas:l1fe:skill:my-skill%400.1.0

URL-encode the @ as %40.

Versions

GET /v1/entries/<did>/versions
{ "versions": [ /* ... */ ] }

Revoke

DELETE /v1/entries/<did>
Authorization: Bearer <ACT>
{ "reason": "compromised key", "signature": "ed25519:…" }